//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ExtDlgs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPaintBox *PaintBox1;
	TColorDialog *ColorDialog1;
	TTimer *TimerColor;
	TTimer *TimerRules;
	TTimer *TimerRadius;
	TTimer *TimerIndependence;
	TTimer *TimerVariance;
	TTimer *TimerReset;
	TTimer *TimerTrails;
	TTimer *TimerCursor;
	TPopupMenu *PopupMenu1;
	TMenuItem *Exit1;
	TMenuItem *Run1;
	TMenuItem *Step1;
	TMenuItem *Exit2;
	TMenuItem *Controls1;
	TMenuItem *Hidden1;
	TMenuItem *Visible1;
	TGroupBox *GroupBoxControls;
	TButton *ButtonRun;
	TButton *ButtonStop;
	TButton *ButtonStep;
	TButton *ButtonReset;
	TTrackBar *TrackBarPopulation;
	TLabel *Label3;
	TEdit *EditPop;
	TLabel *Label2;
	TTrackBar *TrackBarSimSpeed;
	TRadioGroup *RadioGroupSpace;
	TRadioGroup *RadioGroupTimers;
	TGroupBox *GroupBox1;
	TRadioGroup *RadioGroupColor;
	TRadioGroup *RadioGroupRules;
	TTrackBar *TrackBarRadius;
	TLabel *Label4;
	TEdit *EditRadius;
	TTrackBar *TrackBarIndependence;
	TLabel *Label5;
	TEdit *EditStubbornness;
	TEdit *EditVariance;
	TTrackBar *TrackBarVariance;
	TLabel *Label6;
	TTimer *TimerPopulation;
	TTimer *TimerOneSecond;
	TRadioGroup *RadioGroupPenWidth;
	TLabel *Label7;
	TButton *ButtonEqualizeSpeedRandomizeDirection;
	TMenuItem *Reset1;
	TMenuItem *ClearScreen1;
	TLabel *LabelClose;
	TShape *Shape1;
	TShape *Shape2;
	TShape *Shape3;
	TTimer *TimerSound;
	TGroupBox *GroupBox2;
	TRadioGroup *RadioGroupSound;
	TRadioGroup *RadioGroupVoices;
	TMemo *MemoProbe;
	TRadioGroup *RadioGroupKeyboard;
	TRadioGroup *RadioGroupInstrument1;
	TRadioGroup *RadioGroupInstrument2;
	TTrackBar *TrackBarSize;
	TEdit *EditSize;
	TLabel *Label11;
	TButton *ButtonClear;
	TRadioGroup *RadioGroupObstacles;
	TRadioGroup *RadioGroupBeatsPerSecond;
	TTimer *TimerRefresh;
	TTimer *TimerSize;
	TLabel *Label12;
	TTimer *TimerBeatsPerSecond;
	TLabel *Label1;
	TLabel *Label8;
	TTrackBar *TrackBarDepth;
	TButton *ButtonSelectColor;
	TShape *ShapeColor;
	TLabel *Label9;
	TButton *ButtonSetAllToCMYG;
	TTrackBar *TrackBarCyan;
	TEdit *EditCyan;
	TLabel *Label13;
	TEdit *EditDelay;
	TEdit *EditDepth;
	TTrackBar *TrackBarSetDirection;
	TEdit *EditSetDirection;
	TEdit *EditSetVelocity;
	TTrackBar *TrackBarSetVelocity;
	TLabel *Label14;
	TLabel *Label15;
	TEdit *EditVelX;
	TEdit *EditDirX;
	TGroupBox *GroupBox3;
	TButton *ButtonFollowRandomAgent;
	TButton *ButtonFollowNext;
	TButton *ButtonFollowThree;
	TButton *ButtonFollow139Hierarchy;
	TRadioGroup *RadioGroupAgent0Follows;
	TRadioGroup *RadioGroupAgentViz;
	TTrackBar *TrackBarColorRange;
	TEdit *EditColorRange;
	TLabel *Label10;
	TEdit *Edit1;
	TEdit *Edit2;
	TRadioGroup *RadioGroupOutline;
	TRadioGroup *RadioGroupTrail;
	TRadioGroup *RadioGroupSpectrum;
	TGroupBox *GroupBox5;
	TButton *ButtonSavePopulation;
	TButton *ButtonOpenPopulation;
	TGroupBox *GroupBox4;
	TButton *ButtonSaveImage;
	TSavePictureDialog *SavePictureDialog1;
	TGroupBox *GroupBox6;
	TTrackBar *TrackBarRenderEvery;
	TEdit *EditRenderEvery;
	TEdit *EditIterations;
	TOpenDialog *OpenDialog1;
	TSaveDialog *SaveDialog1;
	TGroupBox *GroupBox7;
	TTrackBar *TrackBarTrackAgent;
	TEdit *EditAgentToTrack;
	TLabel *Label22;
	TRadioGroup *RadioGroupTrack;
	TButton *ButtonExplodeJupiter;
	TButton *ButtonExplodeMars;
	TTimer *TimerClearScreen;
	TRadioGroup *RadioGroupClearScreenTimer;
	TGroupBox *GroupBox8;
	TLabel *Label21;
	TEdit *EditWho;
	TEdit *EditDX;
	TEdit *EditDY;
	TLabel *Label17;
	TLabel *Label18;
	TEdit *EditDir;
	TEdit *EditVel;
	TLabel *Label20;
	TLabel *Label19;
	TEdit *EditAge;
	TEdit *EditSex;
	TEdit *EditHunger;
	TEdit *EditWealth;
	TEdit *EditX;
	TEdit *EditY;
	TLabel *Label16;
	TLabel *Label23;
	TLabel *Label24;
	TLabel *Label25;
	TLabel *Label26;
	TEdit *EditAlive;
	void __fastcall ButtonStepClick(TObject *Sender);
	void __fastcall ButtonRunClick(TObject *Sender);
	void __fastcall ButtonStopClick(TObject *Sender);
	void __fastcall ButtonResetClick(TObject *Sender);
	void __fastcall PaintBox1MouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall ButtonSelectColorClick(TObject *Sender);
	void __fastcall PaintBox1MouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
	void __fastcall TrackBarSimSpeedChange(TObject *Sender);
	void __fastcall TrackBarPopulationChange(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall RadioGroupRulesClick(TObject *Sender);
	void __fastcall TrackBarRadiusChange(TObject *Sender);
	void __fastcall TrackBarIndependenceChange(TObject *Sender);
	void __fastcall TrackBarVarianceChange(TObject *Sender);
	void __fastcall TimerColorTimer(TObject *Sender);
	void __fastcall TimerRulesTimer(TObject *Sender);
	void __fastcall TimerRadiusTimer(TObject *Sender);
	void __fastcall TimerIndependenceTimer(TObject *Sender);
	void __fastcall TimerVarianceTimer(TObject *Sender);
	void __fastcall TimerResetTimer(TObject *Sender);
	void __fastcall RadioGroupTimersClick(TObject *Sender);
	void __fastcall TimerTrailsTimer(TObject *Sender);
	void __fastcall TimerCursorTimer(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Run1Click(TObject *Sender);
	void __fastcall Step1Click(TObject *Sender);
	void __fastcall Exit2Click(TObject *Sender);
	void __fastcall Visible1Click(TObject *Sender);
	void __fastcall Hidden1Click(TObject *Sender);
	void __fastcall TimerPopulationTimer(TObject *Sender);
	void __fastcall RadioGroupColorClick(TObject *Sender);
	void __fastcall TrackBarDepthChange(TObject *Sender);
	void __fastcall RadioGroupPenWidthClick(TObject *Sender);
	void __fastcall ButtonEqualizeSpeedRandomizeDirectionClick(TObject *Sender);
	void __fastcall Reset1Click(TObject *Sender);
	void __fastcall ClearScreen1Click(TObject *Sender);
	void __fastcall LabelCloseClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall TimerSoundTimer(TObject *Sender);
	void __fastcall RadioGroupSoundClick(TObject *Sender);
	void __fastcall RadioGroupVoicesClick(TObject *Sender);
	void __fastcall RadioGroupKeyboardClick(TObject *Sender);
	void __fastcall RadioGroupInstrument1Click(TObject *Sender);
	void __fastcall RadioGroupInstrument2Click(TObject *Sender);
	void __fastcall TrackBarSizeChange(TObject *Sender);
	void __fastcall ButtonClearClick(TObject *Sender);
	void __fastcall RadioGroupObstaclesClick(TObject *Sender);
	void __fastcall RadioGroupBeatsPerSecondClick(TObject *Sender);
	void __fastcall TimerRefreshTimer(TObject *Sender);
	void __fastcall TimerSizeTimer(TObject *Sender);
	void __fastcall TimerBeatsPerSecondTimer(TObject *Sender);
	void __fastcall GroupBoxControlsMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall GroupBoxControlsMouseUp(TObject *Sender, TMouseButton Button, TShiftState Shift,
          int X, int Y);
	void __fastcall GroupBoxControlsMouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
	void __fastcall ButtonSetAllToCMYGClick(TObject *Sender);
	void __fastcall TrackBarCyanChange(TObject *Sender);
	void __fastcall TrackBarSetDirectionChange(TObject *Sender);
	void __fastcall TrackBarSetVelocityChange(TObject *Sender);
	void __fastcall EditSetDirectionClick(TObject *Sender);
	void __fastcall EditSetVelocityClick(TObject *Sender);
	void __fastcall ButtonFollowRandomAgentClick(TObject *Sender);
	void __fastcall ButtonFollowNextClick(TObject *Sender);
	void __fastcall ButtonFollowThreeClick(TObject *Sender);
	void __fastcall ButtonFollow139HierarchyClick(TObject *Sender);
	void __fastcall RadioGroupAgent0FollowsClick(TObject *Sender);
	void __fastcall RadioGroupAgentVizClick(TObject *Sender);
	void __fastcall TrackBarColorRangeChange(TObject *Sender);
	void __fastcall RadioGroupTrailClick(TObject *Sender);
	void __fastcall RadioGroupOutlineClick(TObject *Sender);
	void __fastcall RadioGroupSpectrumClick(TObject *Sender);
	void __fastcall RadioGroupSpaceClick(TObject *Sender);
	void __fastcall ButtonSaveImageClick(TObject *Sender);
	void __fastcall TrackBarRenderEveryChange(TObject *Sender);
	void __fastcall ButtonSavePopulationClick(TObject *Sender);
	void __fastcall ButtonOpenPopulationClick(TObject *Sender);
	void __fastcall TrackBarTrackAgentChange(TObject *Sender);
	void __fastcall EditAgentToTrackChange(TObject *Sender);
	void __fastcall RadioGroupTrackClick(TObject *Sender);
	void __fastcall ButtonExplodeJupiterClick(TObject *Sender);
	void __fastcall ButtonExplodeMarsClick(TObject *Sender);
	void __fastcall TimerClearScreenTimer(TObject *Sender);
	void __fastcall RadioGroupClearScreenTimerClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
